Package com.mapd.thrift.server

## Class TRawRenderPassDataResult

- java.lang.Object
- - com.mapd.thrift.server.TRawRenderPassDataResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRawRenderPassDataResult>`, `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TRawRenderPassDataResult
    extends Object
    implements org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>, Serializable, Cloneable, Comparable<TRawRenderPassDataResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRawRenderPassDataResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`ByteBuffer` `accum_data`
`int` `accum_depth`
`static Map<TRawRenderPassDataResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `num_pixel_channels`
`int` `num_pixel_samples`
`ByteBuffer` `pixels`
`ByteBuffer` `row_ids_A`
`ByteBuffer` `row_ids_B`
`ByteBuffer` `table_ids`

### Constructor Summary

Constructors
`TRawRenderPassDataResult()`
`TRawRenderPassDataResult​(int num_pixel_channels, int num_pixel_samples, ByteBuffer pixels, ByteBuffer row_ids_A, ByteBuffer row_ids_B, ByteBuffer table_ids, ByteBuffer accum_data, int accum_depth)`
`TRawRenderPassDataResult​(TRawRenderPassDataResult other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForAccum_data()`
`ByteBuffer` `bufferForPixels()`
`ByteBuffer` `bufferForRow_ids_A()`
`ByteBuffer` `bufferForRow_ids_B()`
`ByteBuffer` `bufferForTable_ids()`
`void` `clear()`
`int` `compareTo​(TRawRenderPassDataResult other)`
`TRawRenderPassDataResult` `deepCopy()`
`boolean` `equals​(TRawRenderPassDataResult that)`
`boolean` `equals​(Object that)`
`TRawRenderPassDataResult._Fields` `fieldForId​(int fieldId)`
`byte[]` `getAccum_data()`
`int` `getAccum_depth()`
`Object` `getFieldValue​(TRawRenderPassDataResult._Fields field)`
`int` `getNum_pixel_channels()`
`int` `getNum_pixel_samples()`
`byte[]` `getPixels()`
`byte[]` `getRow_ids_A()`
`byte[]` `getRow_ids_B()`
`byte[]` `getTable_ids()`
`int` `hashCode()`
`boolean` `isSet​(TRawRenderPassDataResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAccum_data()` Returns true if field accum_data is set (has been assigned a value) and false otherwise
`boolean` `isSetAccum_depth()` Returns true if field accum_depth is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_pixel_channels()` Returns true if field num_pixel_channels is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_pixel_samples()` Returns true if field num_pixel_samples is set (has been assigned a value) and false otherwise
`boolean` `isSetPixels()` Returns true if field pixels is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_ids_A()` Returns true if field row_ids_A is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_ids_B()` Returns true if field row_ids_B is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_ids()` Returns true if field table_ids is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TRawRenderPassDataResult` `setAccum_data​(byte[] accum_data)`
`TRawRenderPassDataResult` `setAccum_data​(ByteBuffer accum_data)`
`void` `setAccum_dataIsSet​(boolean value)`
`TRawRenderPassDataResult` `setAccum_depth​(int accum_depth)`
`void` `setAccum_depthIsSet​(boolean value)`
`void` `setFieldValue​(TRawRenderPassDataResult._Fields field, Object value)`
`TRawRenderPassDataResult` `setNum_pixel_channels​(int num_pixel_channels)`
`void` `setNum_pixel_channelsIsSet​(boolean value)`
`TRawRenderPassDataResult` `setNum_pixel_samples​(int num_pixel_samples)`
`void` `setNum_pixel_samplesIsSet​(boolean value)`
`TRawRenderPassDataResult` `setPixels​(byte[] pixels)`
`TRawRenderPassDataResult` `setPixels​(ByteBuffer pixels)`
`void` `setPixelsIsSet​(boolean value)`
`TRawRenderPassDataResult` `setRow_ids_A​(byte[] row_ids_A)`
`TRawRenderPassDataResult` `setRow_ids_A​(ByteBuffer row_ids_A)`
`void` `setRow_ids_AIsSet​(boolean value)`
`TRawRenderPassDataResult` `setRow_ids_B​(byte[] row_ids_B)`
`TRawRenderPassDataResult` `setRow_ids_B​(ByteBuffer row_ids_B)`
`void` `setRow_ids_BIsSet​(boolean value)`
`TRawRenderPassDataResult` `setTable_ids​(byte[] table_ids)`
`TRawRenderPassDataResult` `setTable_ids​(ByteBuffer table_ids)`
`void` `setTable_idsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetAccum_data()`
`void` `unsetAccum_depth()`
`void` `unsetNum_pixel_channels()`
`void` `unsetNum_pixel_samples()`
`void` `unsetPixels()`
`void` `unsetRow_ids_A()`
`void` `unsetRow_ids_B()`
`void` `unsetTable_ids()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### num_pixel_channels

    public int num_pixel_channels

#### num_pixel_samples

    public int num_pixel_samples

#### pixels

    public ByteBuffer pixels

#### row_ids_A

    public ByteBuffer row_ids_A

#### row_ids_B

    public ByteBuffer row_ids_B

#### table_ids

    public ByteBuffer table_ids

#### accum_data

    public ByteBuffer accum_data

#### accum_depth

    public int accum_depth

#### metaDataMap

    public static final Map<TRawRenderPassDataResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRawRenderPassDataResult

    public TRawRenderPassDataResult()

#### TRawRenderPassDataResult

    public TRawRenderPassDataResult​(int num_pixel_channels,
                                    int num_pixel_samples,
                                    ByteBuffer pixels,
                                    ByteBuffer row_ids_A,
                                    ByteBuffer row_ids_B,
                                    ByteBuffer table_ids,
                                    ByteBuffer accum_data,
                                    int accum_depth)

#### TRawRenderPassDataResult

    public TRawRenderPassDataResult​(TRawRenderPassDataResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRawRenderPassDataResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### getNum_pixel_channels

    public int getNum_pixel_channels()

#### setNum_pixel_channels

    public TRawRenderPassDataResult setNum_pixel_channels​(int num_pixel_channels)

#### unsetNum_pixel_channels

    public void unsetNum_pixel_channels()

#### isSetNum_pixel_channels

    public boolean isSetNum_pixel_channels()

Returns true if field num_pixel_channels is set (has been assigned a value) and false otherwise

#### setNum_pixel_channelsIsSet

    public void setNum_pixel_channelsIsSet​(boolean value)

#### getNum_pixel_samples

    public int getNum_pixel_samples()

#### setNum_pixel_samples

    public TRawRenderPassDataResult setNum_pixel_samples​(int num_pixel_samples)

#### unsetNum_pixel_samples

    public void unsetNum_pixel_samples()

#### isSetNum_pixel_samples

    public boolean isSetNum_pixel_samples()

Returns true if field num_pixel_samples is set (has been assigned a value) and false otherwise

#### setNum_pixel_samplesIsSet

    public void setNum_pixel_samplesIsSet​(boolean value)

#### getPixels

    public byte[] getPixels()

#### bufferForPixels

    public ByteBuffer bufferForPixels()

#### setPixels

    public TRawRenderPassDataResult setPixels​(byte[] pixels)

#### setPixels

    public TRawRenderPassDataResult setPixels​(ByteBuffer pixels)

#### unsetPixels

    public void unsetPixels()

#### isSetPixels

    public boolean isSetPixels()

Returns true if field pixels is set (has been assigned a value) and false otherwise

#### setPixelsIsSet

    public void setPixelsIsSet​(boolean value)

#### getRow_ids_A

    public byte[] getRow_ids_A()

#### bufferForRow_ids_A

    public ByteBuffer bufferForRow_ids_A()

#### setRow_ids_A

    public TRawRenderPassDataResult setRow_ids_A​(byte[] row_ids_A)

#### setRow_ids_A

    public TRawRenderPassDataResult setRow_ids_A​(ByteBuffer row_ids_A)

#### unsetRow_ids_A

    public void unsetRow_ids_A()

#### isSetRow_ids_A

    public boolean isSetRow_ids_A()

Returns true if field row_ids_A is set (has been assigned a value) and false otherwise

#### setRow_ids_AIsSet

    public void setRow_ids_AIsSet​(boolean value)

#### getRow_ids_B

    public byte[] getRow_ids_B()

#### bufferForRow_ids_B

    public ByteBuffer bufferForRow_ids_B()

#### setRow_ids_B

    public TRawRenderPassDataResult setRow_ids_B​(byte[] row_ids_B)

#### setRow_ids_B

    public TRawRenderPassDataResult setRow_ids_B​(ByteBuffer row_ids_B)

#### unsetRow_ids_B

    public void unsetRow_ids_B()

#### isSetRow_ids_B

    public boolean isSetRow_ids_B()

Returns true if field row_ids_B is set (has been assigned a value) and false otherwise

#### setRow_ids_BIsSet

    public void setRow_ids_BIsSet​(boolean value)

#### getTable_ids

    public byte[] getTable_ids()

#### bufferForTable_ids

    public ByteBuffer bufferForTable_ids()

#### setTable_ids

    public TRawRenderPassDataResult setTable_ids​(byte[] table_ids)

#### setTable_ids

    public TRawRenderPassDataResult setTable_ids​(ByteBuffer table_ids)

#### unsetTable_ids

    public void unsetTable_ids()

#### isSetTable_ids

    public boolean isSetTable_ids()

Returns true if field table_ids is set (has been assigned a value) and false otherwise

#### setTable_idsIsSet

    public void setTable_idsIsSet​(boolean value)

#### getAccum_data

    public byte[] getAccum_data()

#### bufferForAccum_data

    public ByteBuffer bufferForAccum_data()

#### setAccum_data

    public TRawRenderPassDataResult setAccum_data​(byte[] accum_data)

#### setAccum_data

    public TRawRenderPassDataResult setAccum_data​(ByteBuffer accum_data)

#### unsetAccum_data

    public void unsetAccum_data()

#### isSetAccum_data

    public boolean isSetAccum_data()

Returns true if field accum_data is set (has been assigned a value) and false otherwise

#### setAccum_dataIsSet

    public void setAccum_dataIsSet​(boolean value)

#### getAccum_depth

    public int getAccum_depth()

#### setAccum_depth

    public TRawRenderPassDataResult setAccum_depth​(int accum_depth)

#### unsetAccum_depth

    public void unsetAccum_depth()

#### isSetAccum_depth

    public boolean isSetAccum_depth()

Returns true if field accum_depth is set (has been assigned a value) and false otherwise

#### setAccum_depthIsSet

    public void setAccum_depthIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRawRenderPassDataResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRawRenderPassDataResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### isSet

    public boolean isSet​(TRawRenderPassDataResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRawRenderPassDataResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRawRenderPassDataResult other)

Specified by:
  `compareTo` in interface `Comparable<TRawRenderPassDataResult>`

#### fieldForId

    public TRawRenderPassDataResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRawRenderPassDataResult,​TRawRenderPassDataResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`